[Помогите] Что выбрать opencart vs ocstore?

Тема в разделе "OpenCart", создана пользователем bestleshka, 20 сен 2016.

  1. bestleshka

    bestleshka

    Регистрация:
    10 мар 2014
    Сообщения:
    92
    Симпатии:
    55
    Всем привет. Год с небольшим не занимался опенкартом. Приспичило.....
    Нужен ликбез знающих.
    1. Что выбрать опенкарт 2.x. или старый добрый 1,5.6?
    2. Что выбрать ocstore или локализованный опенкарт? (беспокоит дальнейшая настройка сео, в ocstore вроде есть уже seo pro и заголовок h1 насколько это сейчас важно и нужно ли вообще? )
     
  2. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.050
    Симпатии:
    777
    1. Ничего :Smile: И ждать 3.0, она не за горами.
    2. ocStore есть смысл выбирать не только из-за SEO, но последняя версия на текущий момент 2.1. Актуальная версия ОК на текущий момент 2.3 и там есть множество отличий различного масштаба.

    Если не горит, то лучше таки подождать тройку и надеяться, что там уже не будет таких мутаций между версиями, как это было во второй ветке.
     
  3. bestleshka

    bestleshka

    Регистрация:
    10 мар 2014
    Сообщения:
    92
    Симпатии:
    55
    "Не за горами" это неделя? месяц? год? :Smile: + я так понимаю даже если она скоро появится... опять не будет шаблонов и модулей... а нужно делать сейчас.... поэтому помогите пожалуйста выбрать из 2-х зол))))
    А чем еще выигрывает ocstore?
     
  4. chukcha

    chukcha

    Регистрация:
    9 окт 2014
    Сообщения:
    281
    Симпатии:
    85
    1. Улучшенное сео
    1.а наличие сео_про (годится для небольших (10000 -30000) товаров
    2. Убраны лишние оплаты, доставки,
    3 Перевод
    4 Русскоязычная поддержка
     
  5. cherkas

    cherkas

    Регистрация:
    25 фев 2013
    Сообщения:
    335
    Симпатии:
    44
  6. samuel_L

    samuel_L

    Регистрация:
    6 окт 2012
    Сообщения:
    214
    Симпатии:
    131
    Я обычно (в данное время) использую ocstore 2.1.0.2.1 или opencart russia локализацию.
    h1 ставится этим
    Код:
    https://opencartforum.com/files/file/2527-%D0%BD%D0%B0%D1%81%D1%82%D1%80%D0%B0%D0%B8%D0%B2%D0%B0%D0%B5%D0%BC%D1%8B%D0%B9-h1-%D0%B4%D0%BB%D1%8F-opencart-20x-ocmod/
    Title по аналогии.
    Если запускать здесь и сейчас - выбирайте из того, что есть здесь и сейчас.

     
    bestleshka нравится это.
  7. ixion

    ixion

    Регистрация:
    16 янв 2013
    Сообщения:
    121
    Симпатии:
    75
    в идеале оригинальный opencart + русификация, потому как в этих всех сборках присутствуют изменения, которые в дальнейшем могут вызвать проблемы совместимости с различными мрдулями
     
    Jess23 и bestleshka нравится это.
  8. bestleshka

    bestleshka

    Регистрация:
    10 мар 2014
    Сообщения:
    92
    Симпатии:
    55
    Поизучал еще немного мат часть. Поспрашивал "знающих" - решил написать небольшой пост. Может еще будет кому полезен. Поправьте, если что не так.

    Предыстория. Раньше делал магазин на 1.5.x версии и выбирал из 3-х вариантов. Opencart, Ocstore и ocshop. Ocshop отвалился сразу так как на него не встал нужный мне шаблон, а перепиливать не хотелось. Оставалось 2 варианта.
    Стал использовать ocstore, но в процессе эксплуатации оказалось, что многие хорошие забугорные модули не работали. Приходилось или покупать у наших "псевдо разработчиков" или платить разработчикам чтобы адаптировали. В итоге магазин так и остался на ocstore, но тогда я пришел к выводу, что реально проще брать обычную версию Opencarta локализовывать и допиливать функционал модулями.

    И вот... спустя год .... появилась задача сделать еще 1 магазин. Конечно проще заплатить гуру опенкарта и пусть он с ним ебе...ся 2 недели....НО.. во-первых мне важно когда я понимаю, что происходит... во-вторых у разработчиков часто нет времени в данный момент, а нужно здесь и сейчас. Эх.... поехали....

    1. Опять встал выбор: Opencart, Ocstore и Ocshop ?

    Opencart
    Плюсы: полная совместимость с модулями
    Минусы: жопа с seo. Нет заголовков H1 и Title. Нужно локализовывать.

    Ocstore и Ocshop
    Плюсы: локализованы, настроено seo.
    Минусы: жопа с совместимостью модулей и шаблонов.


    2. Какую версию выбрать?
    1.5.x - все с кем общался говорят, что она устарела. С другой стороны есть куча шаблонов и модулей.
    2.0.x - говорят что с ней все печально. Так я и не понял, что.....
    2.1.x - практически все "опрошенные" проголосовали за нее... Есть модули, есть шаблоны.
    2.2.x - начитался, что сплошной баг... Не знаю на сколько правда.
    2.3 - появилась недавно, шаблонов и модулей совсем не много. А главное на подходе версия 3.x - следовательно модулей и шаблонов много и не будет__))))

    В итоге опять пытаюсь выбрать между ocstore 2.1.0.2 и чистым локализованным opencart 2.1.0.2
    1. По хорошему ставить локализованный чистый карт и пилить функционал модулями. Больше всего переживаю за seo. Поэтому, кто уже давно работает с картом 2,1 подскажите какие модули для seo лучше использовать?
    2. Кто работал ocstore 2.1.0.2 как обстоят дела с совместимостью модулей от чистого опенкарта той же версии?

    P.s. может еще есть какие-то плюсы и минусы которые я не учел. You are welcome
     
  9. samuel_L

    samuel_L

    Регистрация:
    6 окт 2012
    Сообщения:
    214
    Симпатии:
    131
    Я вам в личку честно писал)

    Меня всегда интересует практическая часть. Потому могу привести пример из практики.
    Занимаюсь двумя магазинами региональными. Тематика практически идентична: один монобрендовый Apple, другой с куда большим выбором электроники, но с уклоном также на Apple.
    Первый на ocstore 1.5.6 (его создавал не я, я только по СЕО с ним работаю). Второй на Opencart 2.1 (его и создавал и продвигаю я) + русский язык поверх поставлен.
    Так вот, они идут бок о бок 1-3 место в топах по смежным запросам.

    Не могу сказать, что были какие-то конфликты. Они всегда есть на сложных шаблонах, с кривыми верстальщиками, которые спрячут h1 в display:none и т.д.
    Совсем без проблем не будет. Даже на чистый ОК не все встает. Конфликтует друг с другом. Возьмите пачку модулей, самых нужных и проверьте на Оксторе первым делом.
    Если не заработает - то пара модулей и опенкарт 2 станет весьма хорошо оптимизирован под поисковики.
     
  10. chukcha

    chukcha

    Регистрация:
    9 окт 2014
    Сообщения:
    281
    Симпатии:
    85
    Не знаю ни одного забугорного модуля, которsй не совместим с ocstore (имею в поддержке около сотни)

    Практически, в ocStore ничего не удалено из функционала, у тупо скрыто с глаз, то что не нужно
    И сео-фишки это есть основное преимущество ocStore
     
  11. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.050
    Симпатии:
    777
    Проблемы могли быть только с модулями на vQmod и то минимальные, поскольку в ocStore минимум отличий от оригинала и все они - это фиксы и мелкие улучшения, в отличии от других сборок, куда пихают иногда всё, что на глаза попадается.
    По сути, ocStore - это вообще не сборка, а тот же чистый ОК, но в пригодном для реального использования виде.

    На оригинальный надо смотреть сразу на 2.3. И вообще, если вы выбираете версию из расчёта, чтоб на неё любой модуль/шаблон идеально стал из коробки - таких не существует. ОК в принципе не тот движок, который любой может взять и сделать магазин не заглядывая внутрь. Что-то нормальное на нём можно сделать только либо самостоятельно поковырявшись под капотом, либо привлекая профессионалов.

    Эта версия тянет максимум на альфу: куча багов, местами вообще тупо не хватает кусков кода и за исключением нового дефолтного шаблона, нового шаблона админки и OCMOD - это вообще скорее ветка 1.5, чем 2. Настоящая двойка начинается с 2.1, а зачем 2.0 зарелизили - это загадка (то есть, до состояния кода, который был в 2.1 релиз выпускать просто нельзя было).
     
    bestleshka и chukcha нравится это.
  12. svictor

    svictor

    Регистрация:
    Вчера
    Сообщения:
    2
    Симпатии:
    0
    Подскажите редактор для шаблонов ocstore
    --- Добавлено, 5 дек 2016 в 20:16 ---
    И еще. На сегодняшний день 2.0 уже стабильна или лучше старую версию использовать?
     
  13. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.050
    Симпатии:
    777
    2.0 - это выкидыш, которым пользоваться категорически нельзя. Нормальные версии начинаются с 2.1.
    Я советую взять ocStore 2.3.

    Любой редактор пригодный для работы с html: SublimeText, Notepad++, WebStorm, phpStorm, NetBeans и т.д.